import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.SignalOptimizeApplication;
import net.wanji.opt.servicev2.evaluation.EventInfoService;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisGreenCongestionPeriodService;
import net.wanji.opt.task.AnalysisGreenCongestionPeriodWeekTask;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @author fengyi
 * @date
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SignalOptimizeApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@Slf4j
public class AnalysisGreenCongestionPeriodWeekTaskTest1 {
    @Resource
    AnalysisGreenCongestionPeriodWeekTask analysisGreenCongestionPeriodWeekTask;
    @Autowired
    private AnalysisGreenCongestionPeriodService analysisGreenCongestionPeriodService;
    @Resource
    EventInfoService eventInfoService;


    @Test
    public void testTask() {
        try {
            long st = System.currentTimeMillis();
            //analysisGreenCongestionPeriodService.selectCountByCongestionPeriod();
            long et = System.currentTimeMillis();
            log.info("计算任务 selectCountByCongestionPeriod 耗时：{}ms", et - st);
        } catch (Exception e) {
            log.error("", e);
        }

        try {
            long st = System.currentTimeMillis();
            analysisGreenCongestionPeriodService.selectCountByLandData();
            long et = System.currentTimeMillis();
            log.info("计算任务 selectCountByLandData 耗时：{}ms", et - st);
        } catch (Exception e) {
            log.error("", e);
        }
    }
}